<?php
require_once "../functions.php";
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false, false, false);

if(!isset($_POST['estado'])) exit;
$estado=filter_input(INPUT_POST, 'estado', FILTER_SANITIZE_SPECIAL_CHARS);
$res=consulta("SELECT id FROM `configuraciones_usuarios` WHERE id_usuario=? AND meta='modo_claro_oscuro';", [$_SESSION['id_usuario']], true);

//Comprobar si existe registro con este usuario

if(!empty(consulta("SELECT id FROM `configuraciones_usuarios` WHERE id_usuario=? AND meta='modo_claro_oscuro';", [$_SESSION['id_usuario']], true)))
    consulta("UPDATE `configuraciones_usuarios` SET valor=? WHERE id_usuario=? AND meta='modo_claro_oscuro';", [$estado, $_SESSION['id_usuario']], false);
else
    consulta("INSERT INTO `configuraciones_usuarios`(`id_usuario`, `meta`, `valor`) VALUES (?,?,?);", [$_SESSION['id_usuario'], 'modo_claro_oscuro', $estado], false);
